Metadata-Version: 2.1
Name: abuseipdb2iptables
Version: 0.2.0
Summary: 
Author: Bruno Thomas
Author-email: bruno@barreverte.fr
Requires-Python: >=3.8,<4.0
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.8
Classifier: Programming Language :: Python :: 3.9
Classifier: Programming Language :: Python :: 3.10
Classifier: Programming Language :: Python :: 3.11
Classifier: Programming Language :: Python :: 3.12
Description-Content-Type: text/markdown

# abuseipdb2iptables [![Python application](https://github.com/iroco-co/abuseipdb2iptables/actions/workflows/python-app.yml/badge.svg)](https://github.com/iroco-co/abuseipdb2iptables/actions/workflows/python-app.yml)

Small python utility to convert abuseipdb json file into iptables rules.

## Install

With pip : 
```shell
pip install abuseipdb2iptables
```

## Usage

It will group similar ip addresses with networks CIDR.

```shell
abuseipdb2iptables path/to/abuseipdb.json
-A INPUT -s 192.168.1.12/32 -j DROP
-A INPUT -s 172.16.0.0/31 -j DROP
-A INPUT -s 10.9.8.7/31 -j DROP
...
```

